Loading...
Searching...
No Matches
auth_common.h File Reference

Functions common for client/server. More...

`#include <sofia-sip/su_alloc.h>`
Include dependency graph for auth_common.h:

Go to the source code of this file.

## Macros

#define | AUTH_COMMON_H
| Defined when <sofia-sip/auth_common.h> has been included.

## Functions

issize_t | auth_get_params (su_home_t *home, char const *const params[],...)
| Parse authentication parameters.
int | auth_strcmp (char const *quoted, char const *unquoted)
| Compare two strings, even if they are quoted.

## Detailed Description

Functions common for client/server.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Fri May 19 15:54:08 EEST 2006 ppessi

## Function Documentation

## auth_get_params()

issize_t auth_get_params | ( | su_home_t * | home,
|  | char const *const | params[],
|  |  | ... )

Parse authentication parameters.

The function auth_get_params() searches for the authentication parameters in params. The parameter list params is seached for each parameter given in in vararg section, and if it is found, its value is assigned to the given address.

Note
  The field name should contain the equal ("=") sign.

Returns
  The function auth_get_params() returns number of parameters found in params, or -1 upon an error.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.